Skip to main content
GET
/
v1
/
query
/
get-customers
List all customers
curl --request GET \
  --url https://sandbox.api.byzantine.fi/v1/query/get-customers \
  --header 'X-Pubkey: <x-pubkey>' \
  --header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
  --header 'X-Signature: <x-signature>' \
  --header 'X-Timestamp: <x-timestamp>'
import requests

url = "https://sandbox.api.byzantine.fi/v1/query/get-customers"

headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};

fetch('https://sandbox.api.byzantine.fi/v1/query/get-customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "businessCustomers": [
    {
      "entityId": "550e8400-e29b-41d4-a716-446655440000",
      "entityName": "<string>",
      "verificationStatus": "active",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "teamMembers": [
        {
          "userId": "550e8400-e29b-41d4-a716-446655440000",
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "<string>"
        }
      ],
      "logoUrl": "<string>"
    }
  ],
  "individualCustomers": [
    {
      "userId": "550e8400-e29b-41d4-a716-446655440000",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "verificationStatus": "active",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "logoUrl": "<string>"
    }
  ]
}

Authorizations

X-Pubkey, X-Timestamp, X-Signature
string
header
required

Headers

X-Pubkey
string
required

Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd

X-Timestamp
string
required

Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826

X-Signature
string
required

ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...

Query Parameters

customerType
enum<string>

Filter by customer type: "business", "individual", or "all" (default: "all") Filter type for the get-customers endpoint

Available options:
business,
individual,
all

Response

Customers retrieved successfully

Response body for the get-customers endpoint

businessCustomers
object[] | null
individualCustomers
object[] | null